﻿-- 2024-05-13
ALTER TABLE t_b_crm
    ADD COLUMN lead_type VARCHAR(45) NULL COMMENT '大区经理指定类型（BY_PERSON(\"按人员指定\"), BY_AREA(\"按地区指定\");）' AFTER lead_id;

-- 2024-05-14
ALTER TABLE t_b_user_archives_allocation
    DROP COLUMN role_id,
    DROP COLUMN region_user_id,
    DROP COLUMN sop_no,
    ADD COLUMN crm_detail_id BIGINT NOT NULL COMMENT '派单详情表id' AFTER id,
    ADD COLUMN sop_role_type VARCHAR(45) NOT NULL COMMENT 'sop角色类型\nREGION_COORDINATOR(\"区域协调人\"),PROJECT_MANAGER(\"项目经理\"),ENGINEER(\"工程师\");' AFTER crm_no,
    CHANGE COLUMN service_id service_id BIGINT NOT NULL COMMENT '服务单元id' ,
    CHANGE COLUMN user_id user_id BIGINT NOT NULL COMMENT '用户id' ;
ALTER TABLE t_b_user_archives_allocation
    DROP INDEX t_b_user_archives_allocation_un ,
    ADD UNIQUE INDEX t_b_user_archives_allocation_un (crm_detail_id ASC, sop_role_type ASC, archives_id ASC) VISIBLE;
;

CREATE TABLE t_b_user_archives_allocation_log (
    id bigint NOT NULL COMMENT '主键',
    crm_detail_id bigint NOT NULL COMMENT '派单详情表id',
    sop_role_type varchar(45) COLLATE utf8mb4_general_ci NOT NULL COMMENT 'sop角色类型\nREGION_COORDINATOR("区域协调人"),PROJECT_MANAGER("项目经理"),ENGINEER("工程师");',
    user_id bigint NOT NULL COMMENT '用户id',
    archives_id bigint NOT NULL COMMENT '人员档案id',
    archives_name varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '档案名称',
    supplier_name varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '供应商名称',
    city varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '城市',
    create_id bigint DEFAULT NULL COMMENT '创建人',
    create_time bigint DEFAULT NULL COMMENT '创建时间',
    update_id bigint DEFAULT NULL COMMENT '更新人',
    update_time bigint DEFAULT NULL COMMENT '更新时间',
    PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='人员调配历史记录';

ALTER TABLE t_b_ding
    ADD COLUMN sop_role_type VARCHAR(45) NOT NULL COMMENT 'sop角色' AFTER role_type,
    CHANGE COLUMN role_type role_type VARCHAR(20) CHARACTER SET 'utf8mb4' NULL COMMENT '项目角色' ;

-- 2024-05-15
ALTER TABLE sys_ding_obj
    ADD COLUMN sop_role_type VARCHAR(45) NOT NULL COMMENT 'sop角色' AFTER type;

-- 旧数据临时处理
update t_b_ding set sop_role_type = 'ENGINEER' where sop_role_type = '';
update t_b_user_archives_allocation set sop_role_type = 'ENGINEER' where sop_role_type = '';
update sys_ding_obj set sop_role_type = 'ENGINEER' where sop_role_type = '';

INSERT INTO sequence (name, current_value, increment) VALUES ('sysCustomCode', '1', '1');